package org.xml.sax;

public class SAXParseException extends SAXException {
   private String publicId;
   private String systemId;
   private int lineNumber;
   private int columnNumber;

   public SAXParseException(String var1, Locator var2) {
      super(var1);
      this.publicId = var2.getPublicId();
      this.systemId = var2.getSystemId();
      this.lineNumber = var2.getLineNumber();
      this.columnNumber = var2.getColumnNumber();
   }

   public SAXParseException(String var1, Locator var2, Exception var3) {
      super(var1, var3);
      this.publicId = var2.getPublicId();
      this.systemId = var2.getSystemId();
      this.lineNumber = var2.getLineNumber();
      this.columnNumber = var2.getColumnNumber();
   }

   public SAXParseException(String var1, String var2, String var3, int var4, int var5) {
      super(var1);
      this.publicId = var2;
      this.systemId = var3;
      this.lineNumber = var4;
      this.columnNumber = var5;
   }

   public SAXParseException(String var1, String var2, String var3, int var4, int var5, Exception var6) {
      super(var1, var6);
      this.publicId = var2;
      this.systemId = var3;
      this.lineNumber = var4;
      this.columnNumber = var5;
   }

   public String getPublicId() {
      return this.publicId;
   }

   public String getSystemId() {
      return this.systemId;
   }

   public int getLineNumber() {
      return this.lineNumber;
   }

   public int getColumnNumber() {
      return this.columnNumber;
   }
}
